# Change Master-Slave Redis Backup Strategy - UpdateURedisBackupStrategy

## Overview

URedisBackupStrategy






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateURedisBackupStrategy`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **GroupId** | string | Group ID |**Yes**|
| **BackupTime** | string | Backup time, default is 0 |No|
| **AutoBackup** | string | Whether to enable the default backup function. enable (open), disable (close), default is enable. |No|
| **SlaveZone** | string | Cross-IDC URedis, the availability zone where the slave is located (must be in the same Region as the Zone, and cannot be the same) |No|
| **OperationType** | string | Operation type, defaults to normal if not provided (i.e., control automatic backup activation and timing), modify (modify cross-region backup policy), close (disable cross-region backup policy) |No|
| **DstRegion** | string | Cross-available backup target region ID (required when Operation is modify) |No|
| **SaveDays** | int | Days to Retain (required when Operation is modify) |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=UpdateURedisBackupStrategy
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=VxWfsZys
&GroupId=rHCjeKTH
&AutoBackup=mtVDaYvy
&AutoBackup=dWyotcjn
&BackupTime=Sdchjvlm
&SlaveZone=DHihOSqO
&Operation=kBNHHpHu
&TargetRegionId=6
&SaveDays=3
&SrcRegion=dfueMRGC
&OperationType=wJxZJSff
```

### Response Example
    
```json
{
  "Action": "UpdateURedisBackupStrategyResponse",
  "RetCode": 0
}
```





